---
title: "ShotRecorder"
description: "Documentation and guidance for building tools and integrations with the Disguise platform."
url: https://developer.disguise.one/api/session/shotrecorder/
---

# SHOTRECORDER API

-   [POST record](#post-record)
-   [GET recorders](#get-recorders)

## POST record

### Summary

Start or stop recording

### URL

POST    /api/session/shotrecorder/record

### Request

```json
{
  "engage": false,
  "name": "",
  "slate": "",
  "take": 0
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## GET recorders

### Summary

List all shot recorders

### URL

GET    /api/session/shotrecorder/recorders

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "recorders": [
    {
      "engaged": false,
      "name": "",
      "slate": "",
      "take": 0
    }
  ]
}
```
